# Blogmaster - Blog system for TYPO3 CMS

A simple extension to create blog in TYPO3. The extension is available on [TER](https://typo3.org/extensions/repository/view/blogmaster), you can install it from TYPO3 ExtensionManager or via composer. 

[![Latest Stable Version](https://img.shields.io/packagist/v/midhundevasia/typo3-blogmaster.svg?style=flat-square)](https://packagist.org/packages/midhundevasia/typo3-blogmaster)
[![Minimum PHP Version](https://img.shields.io/badge/php-%3E%3D%205.5-8892BF.svg?style=flat-square)](https://php.net/)
[![Build Status](https://travis-ci.org/midhundevasia/typo3-blogmaster.svg?branch=master)](https://travis-ci.org/midhundevasia/typo3-blogmaster)

The extension includes the following features:
* Post Listing
* Archive
* Category
* Tags
* Feature Image
* Search
* Comments and Reply
* Widgets
* RSS (for Blog, Comments, Single Post)
* OpenGraph Protocol

Check [complete feature list](https://github.com/midhundevasia/typo3-blogmaster/wiki/)

## Installation
##### via ExtensionManager
You can find the latest version in the TER(TYPO3 Extension Repository).
Goto `Extensions` -> Choose `Get Extensions` from the dropdown -> Search `Blogmaster` -> Install

##### via Manual Setup
Download the latest file from the GitHub or TER and copy folder to the `typo3conf/ext/`
Then install it from the Extensions Module.

##### via Composer 
	composer require "typo3-ter/blogmaster"

##### via Composer for developers
	composer require "midhundevasia/typo3-blogmaster" --no-scripts

## Usage
For better understanding read the [Documentation](https://github.com/midhundevasia/typo3-blogmaster/wiki)

## Contributing
If you have a best practice code or feature, bugfix or translation just `Fork` and Send a `Pull Request`.


## Help
* If you find any security flaw just mail me (hello [at] midhundevasia.com)
* You can report bugs [here](https://github.com/midhundevasia/typo3-blogmaster/issues)

## Donate
I would like to spend my time here, if this extension realy helps, you are welcome to 
give some support

[![paypal](https://www.paypalobjects.com/webstatic/en_US/i/btn/png/blue-rect-paypal-26px.png)](https://www.paypal.me/midhundevasia/)

## TODO List
[wiki/To-Do-list](https://github.com/midhundevasia/typo3-blogmaster/wiki/To-Do-list)

## ChangeLog
[wiki/ChangeLog](https://github.com/midhundevasia/typo3-blogmaster/wiki/ChangeLog)

## License
Blogmaster is licensed under GNU General Public License (GPLv3) - see the `LICENSE` file for details.

## Credits
#### Icons 
 - https://thenounproject.com
 - http://www.flaticon.com
 
#### Libraries
 - Sizzlejs
 - TinyMCE

## Screenshot
![](https://raw.githubusercontent.com/midhundevasia/typo3-blogmaster/master/Documentation/Images/Frontend.HomeView.png)
![](https://raw.githubusercontent.com/midhundevasia/typo3-blogmaster/master/Documentation/Images/Backend.PostEdit.png)
